Docs
Product Repository APICustomer Specific Assignment Rule

List all customer specific assignment rulesBeta

Security groups:Rule Engineers
GET
/assignments/csars

Returns all customer specific assignment rules.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/assignments/csars"
{
  "rules": [
    {
      "id": "9e4f88f4-1fc8-4922-b4ad-8fd351d151be",
      "name": "UKGT Green Rule",
      "description": "Assigns UKGT code to products with green veggie color",
      "code": {
        "ukgt": "UKGT-4567"
      },
      "filterId": "84f4a96f-b135-4af2-858b-17327b631047",
      "createdAt": "2025-05-27T10:00:00Z",
      "lastModifiedDate": "2025-05-27T10:00:00Z"
    },
    {
      "id": "bf2204a1-b5b8-4a53-b56d-7f5056d88598",
      "name": "TARIC Salad Rule",
      "description": "Assigns TARIC code to products tagged with \"Salad\"",
      "taric": "TARIC-2222",
      "code": {
        "ukgt": "UKGT-4567"
      },
      "createdAt": "2025-05-27T10:05:00Z",
      "lastModifiedDate": "2025-05-27T10:05:00Z"
    },
    {
      "id": "bf2204a1-b5b8-4a53-b56d-7f5056d88599",
      "name": "TARES Advanced Rule",
      "description": "Assigns TARES code to products with tag \"Salad\" or \"Tomato\" and green color",
      "code": {
        "ukgt": "UKGT-4567"
      },
      "filterId": "84f4a96f-b135-4af2-858b-17327b631047",
      "createdAt": "2025-05-27T10:10:00Z",
      "lastModifiedDate": "2025-05-27T10:10:00Z"
    }
  ]
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}